Bullet Collision Detection & Physics Library: btSliderConstraint Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
btSliderConstraint Class Reference

`#include <btSliderConstraint.h>`

Inheritance diagram for btSliderConstraint:
[legend]
Collaboration diagram for btSliderConstraint:
[legend]

## Public Member Functions
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btSliderConstraint (btRigidBody &rbA, btRigidBody &rbB, const btTransform &frameInA, const btTransform &frameInB, bool useLinearReferenceFrameA)
| btSliderConstraint (btRigidBody &rbB, const btTransform &frameInB, bool useLinearReferenceFrameA)
virtual void | getInfo1 (btConstraintInfo1 *info)
| internal method used by the constraint solver, don't use them directly More...
void | getInfo1NonVirtual (btConstraintInfo1 *info)
virtual void | getInfo2 (btConstraintInfo2 *info)
| internal method used by the constraint solver, don't use them directly More...
void | getInfo2NonVirtual (btConstraintInfo2 *info, const btTransform &transA, const btTransform &transB, const btVector3 &linVelA, const btVector3 &linVelB, btScalar rbAinvMass, btScalar rbBinvMass)
const btRigidBody & | getRigidBodyA () const
const btRigidBody & | getRigidBodyB () const
const btTransform & | getCalculatedTransformA () const
const btTransform & | getCalculatedTransformB () const
const btTransform & | getFrameOffsetA () const
const btTransform & | getFrameOffsetB () const
btTransform & | getFrameOffsetA ()
btTransform & | getFrameOffsetB ()
btScalar | getLowerLinLimit ()
void | setLowerLinLimit (btScalar lowerLimit)
btScalar | getUpperLinLimit ()
void | setUpperLinLimit (btScalar upperLimit)
btScalar | getLowerAngLimit ()
void | setLowerAngLimit (btScalar lowerLimit)
btScalar | getUpperAngLimit ()
void | setUpperAngLimit (btScalar upperLimit)
bool | getUseLinearReferenceFrameA ()
btScalar | getSoftnessDirLin ()
btScalar | getRestitutionDirLin ()
btScalar | getDampingDirLin ()
btScalar | getSoftnessDirAng ()
btScalar | getRestitutionDirAng ()
btScalar | getDampingDirAng ()
btScalar | getSoftnessLimLin ()
btScalar | getRestitutionLimLin ()
btScalar | getDampingLimLin ()
btScalar | getSoftnessLimAng ()
btScalar | getRestitutionLimAng ()
btScalar | getDampingLimAng ()
btScalar | getSoftnessOrthoLin ()
btScalar | getRestitutionOrthoLin ()
btScalar | getDampingOrthoLin ()
btScalar | getSoftnessOrthoAng ()
btScalar | getRestitutionOrthoAng ()
btScalar | getDampingOrthoAng ()
void | setSoftnessDirLin (btScalar softnessDirLin)
void | setRestitutionDirLin (btScalar restitutionDirLin)
void | setDampingDirLin (btScalar dampingDirLin)
void | setSoftnessDirAng (btScalar softnessDirAng)
void | setRestitutionDirAng (btScalar restitutionDirAng)
void | setDampingDirAng (btScalar dampingDirAng)
void | setSoftnessLimLin (btScalar softnessLimLin)
void | setRestitutionLimLin (btScalar restitutionLimLin)
void | setDampingLimLin (btScalar dampingLimLin)
void | setSoftnessLimAng (btScalar softnessLimAng)
void | setRestitutionLimAng (btScalar restitutionLimAng)
void | setDampingLimAng (btScalar dampingLimAng)
void | setSoftnessOrthoLin (btScalar softnessOrthoLin)
void | setRestitutionOrthoLin (btScalar restitutionOrthoLin)
void | setDampingOrthoLin (btScalar dampingOrthoLin)
void | setSoftnessOrthoAng (btScalar softnessOrthoAng)
void | setRestitutionOrthoAng (btScalar restitutionOrthoAng)
void | setDampingOrthoAng (btScalar dampingOrthoAng)
void | setPoweredLinMotor (bool onOff)
bool | getPoweredLinMotor ()
void | setTargetLinMotorVelocity (btScalar targetLinMotorVelocity)
btScalar | getTargetLinMotorVelocity ()
void | setMaxLinMotorForce (btScalar maxLinMotorForce)
btScalar | getMaxLinMotorForce ()
void | setPoweredAngMotor (bool onOff)
bool | getPoweredAngMotor ()
void | setTargetAngMotorVelocity (btScalar targetAngMotorVelocity)
btScalar | getTargetAngMotorVelocity ()
void | setMaxAngMotorForce (btScalar maxAngMotorForce)
btScalar | getMaxAngMotorForce ()
btScalar | getLinearPos () const
btScalar | getAngularPos () const
bool | getSolveLinLimit ()
btScalar | getLinDepth ()
bool | getSolveAngLimit ()
btScalar | getAngDepth ()
void | calculateTransforms (const btTransform &transA, const btTransform &transB)
void | testLinLimits ()
void | testAngLimits ()
btVector3 | getAncorInA ()
btVector3 | getAncorInB ()
bool | getUseFrameOffset ()
void | setUseFrameOffset (bool frameOffsetOnOff)
void | setFrames (const btTransform &frameA, const btTransform &frameB)
virtual void | setParam (int num, btScalar value, int axis=-1)
| override the default global value of a parameter (such as ERP or CFM), optionally provide the axis (0..5). More...
virtual btScalar | getParam (int num, int axis=-1) const
| return the local value of parameter More...
virtual int | calculateSerializeBufferSize () const
virtual const char * | serialize (void *dataBuffer, btSerializer *serializer) const
| fills the dataBuffer and returns the struct name (and 0 on failure) More...
Public Member Functions inherited from btTypedConstraint
| BT_DECLARE_ALIGNED_ALLOCATOR ()
virtual | ~btTypedConstraint ()
| btTypedConstraint (btTypedConstraintType type, btRigidBody &rbA)
| btTypedConstraint (btTypedConstraintType type, btRigidBody &rbA, btRigidBody &rbB)
int | getOverrideNumSolverIterations () const
void | setOverrideNumSolverIterations (int overideNumIterations)
| override the number of constraint solver iterations used to solve this constraint -1 will use the default number of iterations, as specified in SolverInfo.m_numIterations More...
virtual void | buildJacobian ()
| internal method used by the constraint solver, don't use them directly More...
virtual void | setupSolverConstraint (btConstraintArray &ca, int solverBodyA, int solverBodyB, btScalar timeStep)
| internal method used by the constraint solver, don't use them directly More...
void | internalSetAppliedImpulse (btScalar appliedImpulse)
| internal method used by the constraint solver, don't use them directly More...
btScalar | internalGetAppliedImpulse ()
| internal method used by the constraint solver, don't use them directly More...
btScalar | getBreakingImpulseThreshold () const
void | setBreakingImpulseThreshold (btScalar threshold)
bool | isEnabled () const
void | setEnabled (bool enabled)
virtual void | solveConstraintObsolete (btSolverBody &, btSolverBody &, btScalar)
| internal method used by the constraint solver, don't use them directly More...
const btRigidBody & | getRigidBodyA () const
const btRigidBody & | getRigidBodyB () const
btRigidBody & | getRigidBodyA ()
btRigidBody & | getRigidBodyB ()
int | getUserConstraintType () const
void | setUserConstraintType (int userConstraintType)
void | setUserConstraintId (int uid)
int | getUserConstraintId () const
void | setUserConstraintPtr (void *ptr)
void * | getUserConstraintPtr ()
void | setJointFeedback (btJointFeedback *jointFeedback)
const btJointFeedback * | getJointFeedback () const
btJointFeedback * | getJointFeedback ()
int | getUid () const
bool | needsFeedback () const
void | enableFeedback (bool needsFeedback)
| enableFeedback will allow to read the applied linear and angular impulse use getAppliedImpulse, getAppliedLinearImpulse and getAppliedAngularImpulse to read feedback information More...
btScalar | getAppliedImpulse () const
| getAppliedImpulse is an estimated total applied impulse. More...
btTypedConstraintType | getConstraintType () const
void | setDbgDrawSize (btScalar dbgDrawSize)
btScalar | getDbgDrawSize ()
Public Member Functions inherited from btTypedObject
| btTypedObject (int objectType)
int | getObjectType () const

## Protected Member Functions
void | initParams ()
Protected Member Functions inherited from btTypedConstraint
btScalar | getMotorFactor (btScalar pos, btScalar lowLim, btScalar uppLim, btScalar vel, btScalar timeFact)
| internal method used by the constraint solver, don't use them directly More...

## Protected Attributes
bool | m_useSolveConstraintObsolete
| for backwards compatibility during the transition to 'getInfo/getInfo2' More...
bool | m_useOffsetForConstraintFrame
btTransform | m_frameInA
btTransform | m_frameInB
bool | m_useLinearReferenceFrameA
btScalar | m_lowerLinLimit
btScalar | m_upperLinLimit
btScalar | m_lowerAngLimit
btScalar | m_upperAngLimit
btScalar | m_softnessDirLin
btScalar | m_restitutionDirLin
btScalar | m_dampingDirLin
btScalar | m_cfmDirLin
btScalar | m_softnessDirAng
btScalar | m_restitutionDirAng
btScalar | m_dampingDirAng
btScalar | m_cfmDirAng
btScalar | m_softnessLimLin
btScalar | m_restitutionLimLin
btScalar | m_dampingLimLin
btScalar | m_cfmLimLin
btScalar | m_softnessLimAng
btScalar | m_restitutionLimAng
btScalar | m_dampingLimAng
btScalar | m_cfmLimAng
btScalar | m_softnessOrthoLin
btScalar | m_restitutionOrthoLin
btScalar | m_dampingOrthoLin
btScalar | m_cfmOrthoLin
btScalar | m_softnessOrthoAng
btScalar | m_restitutionOrthoAng
btScalar | m_dampingOrthoAng
btScalar | m_cfmOrthoAng
bool | m_solveLinLim
bool | m_solveAngLim
int | m_flags
btJacobianEntry | m_jacLin [3]
btScalar | m_jacLinDiagABInv [3]
btJacobianEntry | m_jacAng [3]
btScalar | m_timeStep
btTransform | m_calculatedTransformA
btTransform | m_calculatedTransformB
btVector3 | m_sliderAxis
btVector3 | m_realPivotAInW
btVector3 | m_realPivotBInW
btVector3 | m_projPivotInW
btVector3 | m_delta
btVector3 | m_depth
btVector3 | m_relPosA
btVector3 | m_relPosB
btScalar | m_linPos
btScalar | m_angPos
btScalar | m_angDepth
btScalar | m_kAngle
bool | m_poweredLinMotor
btScalar | m_targetLinMotorVelocity
btScalar | m_maxLinMotorForce
btScalar | m_accumulatedLinMotorImpulse
bool | m_poweredAngMotor
btScalar | m_targetAngMotorVelocity
btScalar | m_maxAngMotorForce
btScalar | m_accumulatedAngMotorImpulse
Protected Attributes inherited from btTypedConstraint
btRigidBody & | m_rbA
btRigidBody & | m_rbB
btScalar | m_appliedImpulse
btScalar | m_dbgDrawSize
btJointFeedback * | m_jointFeedback

## Additional Inherited Members
Static Public Member Functions inherited from btTypedConstraint
static btRigidBody & | getFixedBody ()
Public Attributes inherited from btTypedObject
int | m_objectType

## Detailed Description

Definition at line 69 of file btSliderConstraint.h.

## Constructor & Destructor Documentation

btSliderConstraint::btSliderConstraint | ( | btRigidBody & | rbA,
|  | btRigidBody & | rbB,
|  | const btTransform & | frameInA,
|  | const btTransform & | frameInB,
|  | bool | useLinearReferenceFrameA
| ) |  |

Definition at line 83 of file btSliderConstraint.cpp.

btSliderConstraint::btSliderConstraint | ( | btRigidBody & | rbB,
|  | const btTransform & | frameInB,
|  | bool | useLinearReferenceFrameA
| ) |  |

not providing rigidbody A means implicitly using worldspace for body A

Definition at line 95 of file btSliderConstraint.cpp.

## Member Function Documentation

btSliderConstraint::BT_DECLARE_ALIGNED_ALLOCATOR | ( |  | ) |

int btSliderConstraint::calculateSerializeBufferSize | ( |  | ) | const
| inlinevirtual

Reimplemented from btTypedConstraint.

Definition at line 331 of file btSliderConstraint.h.

void btSliderConstraint::calculateTransforms | ( | const btTransform & | transA,
|  | const btTransform & | transB
| ) |  |

Definition at line 159 of file btSliderConstraint.cpp.

btVector3 btSliderConstraint::getAncorInA | ( | void |  | ) |

Definition at line 250 of file btSliderConstraint.cpp.

btVector3 btSliderConstraint::getAncorInB | ( | void |  | ) |

Definition at line 260 of file btSliderConstraint.cpp.

btScalar btSliderConstraint::getAngDepth | ( |  | ) |
| inline

Definition at line 257 of file btSliderConstraint.h.

btScalar btSliderConstraint::getAngularPos | ( |  | ) | const
| inline

Definition at line 249 of file btSliderConstraint.h.

const btTransform& btSliderConstraint::getCalculatedTransformA | ( |  | ) | const
| inline

Definition at line 184 of file btSliderConstraint.h.

const btTransform& btSliderConstraint::getCalculatedTransformB | ( |  | ) | const
| inline

Definition at line 185 of file btSliderConstraint.h.

btScalar btSliderConstraint::getDampingDirAng | ( |  | ) |
| inline

Definition at line 204 of file btSliderConstraint.h.

btScalar btSliderConstraint::getDampingDirLin | ( |  | ) |
| inline

Definition at line 201 of file btSliderConstraint.h.

btScalar btSliderConstraint::getDampingLimAng | ( |  | ) |
| inline

Definition at line 210 of file btSliderConstraint.h.

btScalar btSliderConstraint::getDampingLimLin | ( |  | ) |
| inline

Definition at line 207 of file btSliderConstraint.h.

btScalar btSliderConstraint::getDampingOrthoAng | ( |  | ) |
| inline

Definition at line 216 of file btSliderConstraint.h.

btScalar btSliderConstraint::getDampingOrthoLin | ( |  | ) |
| inline

Definition at line 213 of file btSliderConstraint.h.

const btTransform& btSliderConstraint::getFrameOffsetA | ( |  | ) | const
| inline

Definition at line 186 of file btSliderConstraint.h.

btTransform& btSliderConstraint::getFrameOffsetA | ( |  | ) |
| inline

Definition at line 188 of file btSliderConstraint.h.

const btTransform& btSliderConstraint::getFrameOffsetB | ( |  | ) | const
| inline

Definition at line 187 of file btSliderConstraint.h.

btTransform& btSliderConstraint::getFrameOffsetB | ( |  | ) |
| inline

Definition at line 189 of file btSliderConstraint.h.

void btSliderConstraint::getInfo1 | ( | btConstraintInfo1 * | info | ) |
| virtual

internal method used by the constraint solver, don't use them directly

Implements btTypedConstraint.

Definition at line 113 of file btSliderConstraint.cpp.

void btSliderConstraint::getInfo1NonVirtual | ( | btConstraintInfo1 * | info | ) |

Definition at line 141 of file btSliderConstraint.cpp.

void btSliderConstraint::getInfo2 | ( | btConstraintInfo2 * | info | ) |
| virtual

internal method used by the constraint solver, don't use them directly

Implements btTypedConstraint.

Definition at line 148 of file btSliderConstraint.cpp.

void btSliderConstraint::getInfo2NonVirtual | ( | btConstraintInfo2 * | info,
|  | const btTransform & | transA,
|  | const btTransform & | transB,
|  | const btVector3 & | linVelA,
|  | const btVector3 & | linVelB,
|  | btScalar | rbAinvMass,
|  | btScalar | rbBinvMass
| ) |  |

Definition at line 268 of file btSliderConstraint.cpp.

btScalar btSliderConstraint::getLinDepth | ( |  | ) |
| inline

Definition at line 255 of file btSliderConstraint.h.

btScalar btSliderConstraint::getLinearPos | ( |  | ) | const
| inline

Definition at line 248 of file btSliderConstraint.h.

btScalar btSliderConstraint::getLowerAngLimit | ( |  | ) |
| inline

Definition at line 194 of file btSliderConstraint.h.

btScalar btSliderConstraint::getLowerLinLimit | ( |  | ) |
| inline

Definition at line 190 of file btSliderConstraint.h.

btScalar btSliderConstraint::getMaxAngMotorForce | ( |  | ) |
| inline

Definition at line 246 of file btSliderConstraint.h.

btScalar btSliderConstraint::getMaxLinMotorForce | ( |  | ) |
| inline

Definition at line 240 of file btSliderConstraint.h.

btScalar btSliderConstraint::getParam | ( | int | num,
|  | int | axis = `-1`
| ) |  | const
| virtual

return the local value of parameter

Implements btTypedConstraint.

Definition at line 786 of file btSliderConstraint.cpp.

bool btSliderConstraint::getPoweredAngMotor | ( |  | ) |
| inline

Definition at line 242 of file btSliderConstraint.h.

bool btSliderConstraint::getPoweredLinMotor | ( |  | ) |
| inline

Definition at line 236 of file btSliderConstraint.h.

btScalar btSliderConstraint::getRestitutionDirAng | ( |  | ) |
| inline

Definition at line 203 of file btSliderConstraint.h.

btScalar btSliderConstraint::getRestitutionDirLin | ( |  | ) |
| inline

Definition at line 200 of file btSliderConstraint.h.

btScalar btSliderConstraint::getRestitutionLimAng | ( |  | ) |
| inline

Definition at line 209 of file btSliderConstraint.h.

btScalar btSliderConstraint::getRestitutionLimLin | ( |  | ) |
| inline

Definition at line 206 of file btSliderConstraint.h.

btScalar btSliderConstraint::getRestitutionOrthoAng | ( |  | ) |
| inline

Definition at line 215 of file btSliderConstraint.h.

btScalar btSliderConstraint::getRestitutionOrthoLin | ( |  | ) |
| inline

Definition at line 212 of file btSliderConstraint.h.

const btRigidBody& btSliderConstraint::getRigidBodyA | ( |  | ) | const
| inline

Definition at line 182 of file btSliderConstraint.h.

const btRigidBody& btSliderConstraint::getRigidBodyB | ( |  | ) | const
| inline

Definition at line 183 of file btSliderConstraint.h.

btScalar btSliderConstraint::getSoftnessDirAng | ( |  | ) |
| inline

Definition at line 202 of file btSliderConstraint.h.

btScalar btSliderConstraint::getSoftnessDirLin | ( |  | ) |
| inline

Definition at line 199 of file btSliderConstraint.h.

btScalar btSliderConstraint::getSoftnessLimAng | ( |  | ) |
| inline

Definition at line 208 of file btSliderConstraint.h.

btScalar btSliderConstraint::getSoftnessLimLin | ( |  | ) |
| inline

Definition at line 205 of file btSliderConstraint.h.

btScalar btSliderConstraint::getSoftnessOrthoAng | ( |  | ) |
| inline

Definition at line 214 of file btSliderConstraint.h.

btScalar btSliderConstraint::getSoftnessOrthoLin | ( |  | ) |
| inline

Definition at line 211 of file btSliderConstraint.h.

bool btSliderConstraint::getSolveAngLimit | ( |  | ) |
| inline

Definition at line 256 of file btSliderConstraint.h.

bool btSliderConstraint::getSolveLinLimit | ( |  | ) |
| inline

Definition at line 254 of file btSliderConstraint.h.

btScalar btSliderConstraint::getTargetAngMotorVelocity | ( |  | ) |
| inline

Definition at line 244 of file btSliderConstraint.h.

btScalar btSliderConstraint::getTargetLinMotorVelocity | ( |  | ) |
| inline

Definition at line 238 of file btSliderConstraint.h.

btScalar btSliderConstraint::getUpperAngLimit | ( |  | ) |
| inline

Definition at line 196 of file btSliderConstraint.h.

btScalar btSliderConstraint::getUpperLinLimit | ( |  | ) |
| inline

Definition at line 192 of file btSliderConstraint.h.

bool btSliderConstraint::getUseFrameOffset | ( |  | ) |
| inline

Definition at line 266 of file btSliderConstraint.h.

bool btSliderConstraint::getUseLinearReferenceFrameA | ( |  | ) |
| inline

Definition at line 198 of file btSliderConstraint.h.

void btSliderConstraint::initParams | ( |  | ) |
| protected

Definition at line 30 of file btSliderConstraint.cpp.

const char * btSliderConstraint::serialize | ( | void * | dataBuffer,
|  | btSerializer * | serializer
| ) |  | const
| inlinevirtual

fills the dataBuffer and returns the struct name (and 0 on failure)

Reimplemented from btTypedConstraint.

Definition at line 337 of file btSliderConstraint.h.

void btSliderConstraint::setDampingDirAng | ( | btScalar | dampingDirAng | ) |
| inline

Definition at line 222 of file btSliderConstraint.h.

void btSliderConstraint::setDampingDirLin | ( | btScalar | dampingDirLin | ) |
| inline

Definition at line 219 of file btSliderConstraint.h.

void btSliderConstraint::setDampingLimAng | ( | btScalar | dampingLimAng | ) |
| inline

Definition at line 228 of file btSliderConstraint.h.

void btSliderConstraint::setDampingLimLin | ( | btScalar | dampingLimLin | ) |
| inline

Definition at line 225 of file btSliderConstraint.h.

void btSliderConstraint::setDampingOrthoAng | ( | btScalar | dampingOrthoAng | ) |
| inline

Definition at line 234 of file btSliderConstraint.h.

void btSliderConstraint::setDampingOrthoLin | ( | btScalar | dampingOrthoLin | ) |
| inline

Definition at line 231 of file btSliderConstraint.h.

void btSliderConstraint::setFrames | ( | const btTransform & | frameA,
|  | const btTransform & | frameB
| ) |  |
| inline

Definition at line 269 of file btSliderConstraint.h.

void btSliderConstraint::setLowerAngLimit | ( | btScalar | lowerLimit | ) |
| inline

Definition at line 195 of file btSliderConstraint.h.

void btSliderConstraint::setLowerLinLimit | ( | btScalar | lowerLimit | ) |
| inline

Definition at line 191 of file btSliderConstraint.h.

void btSliderConstraint::setMaxAngMotorForce | ( | btScalar | maxAngMotorForce | ) |
| inline

Definition at line 245 of file btSliderConstraint.h.

void btSliderConstraint::setMaxLinMotorForce | ( | btScalar | maxLinMotorForce | ) |
| inline

Definition at line 239 of file btSliderConstraint.h.

void btSliderConstraint::setParam | ( | int | num,
|  | btScalar | value,
|  | int | axis = `-1`
| ) |  |
| virtual

override the default global value of a parameter (such as ERP or CFM), optionally provide the axis (0..5).

If no axis is provided, it uses the default axis for this constraint.

Implements btTypedConstraint.

Definition at line 710 of file btSliderConstraint.cpp.

void btSliderConstraint::setPoweredAngMotor | ( | bool | onOff | ) |
| inline

Definition at line 241 of file btSliderConstraint.h.

void btSliderConstraint::setPoweredLinMotor | ( | bool | onOff | ) |
| inline

Definition at line 235 of file btSliderConstraint.h.

void btSliderConstraint::setRestitutionDirAng | ( | btScalar | restitutionDirAng | ) |
| inline

Definition at line 221 of file btSliderConstraint.h.

void btSliderConstraint::setRestitutionDirLin | ( | btScalar | restitutionDirLin | ) |
| inline

Definition at line 218 of file btSliderConstraint.h.

void btSliderConstraint::setRestitutionLimAng | ( | btScalar | restitutionLimAng | ) |
| inline

Definition at line 227 of file btSliderConstraint.h.

void btSliderConstraint::setRestitutionLimLin | ( | btScalar | restitutionLimLin | ) |
| inline

Definition at line 224 of file btSliderConstraint.h.

void btSliderConstraint::setRestitutionOrthoAng | ( | btScalar | restitutionOrthoAng | ) |
| inline

Definition at line 233 of file btSliderConstraint.h.

void btSliderConstraint::setRestitutionOrthoLin | ( | btScalar | restitutionOrthoLin | ) |
| inline

Definition at line 230 of file btSliderConstraint.h.

void btSliderConstraint::setSoftnessDirAng | ( | btScalar | softnessDirAng | ) |
| inline

Definition at line 220 of file btSliderConstraint.h.

void btSliderConstraint::setSoftnessDirLin | ( | btScalar | softnessDirLin | ) |
| inline

Definition at line 217 of file btSliderConstraint.h.

void btSliderConstraint::setSoftnessLimAng | ( | btScalar | softnessLimAng | ) |
| inline

Definition at line 226 of file btSliderConstraint.h.

void btSliderConstraint::setSoftnessLimLin | ( | btScalar | softnessLimLin | ) |
| inline

Definition at line 223 of file btSliderConstraint.h.

void btSliderConstraint::setSoftnessOrthoAng | ( | btScalar | softnessOrthoAng | ) |
| inline

Definition at line 232 of file btSliderConstraint.h.

void btSliderConstraint::setSoftnessOrthoLin | ( | btScalar | softnessOrthoLin | ) |
| inline

Definition at line 229 of file btSliderConstraint.h.

void btSliderConstraint::setTargetAngMotorVelocity | ( | btScalar | targetAngMotorVelocity | ) |
| inline

Definition at line 243 of file btSliderConstraint.h.

void btSliderConstraint::setTargetLinMotorVelocity | ( | btScalar | targetLinMotorVelocity | ) |
| inline

Definition at line 237 of file btSliderConstraint.h.

void btSliderConstraint::setUpperAngLimit | ( | btScalar | upperLimit | ) |
| inline

Definition at line 197 of file btSliderConstraint.h.

void btSliderConstraint::setUpperLinLimit | ( | btScalar | upperLimit | ) |
| inline

Definition at line 193 of file btSliderConstraint.h.

void btSliderConstraint::setUseFrameOffset | ( | bool | frameOffsetOnOff | ) |
| inline

Definition at line 267 of file btSliderConstraint.h.

void btSliderConstraint::testAngLimits | ( | void |  | ) |

Definition at line 224 of file btSliderConstraint.cpp.

void btSliderConstraint::testLinLimits | ( | void |  | ) |

Definition at line 195 of file btSliderConstraint.cpp.

## Member Data Documentation

btScalar btSliderConstraint::m_accumulatedAngMotorImpulse
| protected

Definition at line 159 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_accumulatedLinMotorImpulse
| protected

Definition at line 154 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_angDepth
| protected

Definition at line 148 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_angPos
| protected

Definition at line 146 of file btSliderConstraint.h.

btTransform btSliderConstraint::m_calculatedTransformA
| protected

Definition at line 133 of file btSliderConstraint.h.

btTransform btSliderConstraint::m_calculatedTransformB
| protected

Definition at line 134 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_cfmDirAng
| protected

Definition at line 99 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_cfmDirLin
| protected

Definition at line 94 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_cfmLimAng
| protected

Definition at line 109 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_cfmLimLin
| protected

Definition at line 104 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_cfmOrthoAng
| protected

Definition at line 119 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_cfmOrthoLin
| protected

Definition at line 114 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_dampingDirAng
| protected

Definition at line 98 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_dampingDirLin
| protected

Definition at line 93 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_dampingLimAng
| protected

Definition at line 108 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_dampingLimLin
| protected

Definition at line 103 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_dampingOrthoAng
| protected

Definition at line 118 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_dampingOrthoLin
| protected

Definition at line 113 of file btSliderConstraint.h.

btVector3 btSliderConstraint::m_delta
| protected

Definition at line 140 of file btSliderConstraint.h.

btVector3 btSliderConstraint::m_depth
| protected

Definition at line 141 of file btSliderConstraint.h.

int btSliderConstraint::m_flags
| protected

Definition at line 125 of file btSliderConstraint.h.

btTransform btSliderConstraint::m_frameInA
| protected

Definition at line 75 of file btSliderConstraint.h.

btTransform btSliderConstraint::m_frameInB
| protected

Definition at line 76 of file btSliderConstraint.h.

btJacobianEntry btSliderConstraint::m_jacAng[3]
| protected

Definition at line 130 of file btSliderConstraint.h.

btJacobianEntry btSliderConstraint::m_jacLin[3]
| protected

Definition at line 127 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_jacLinDiagABInv[3]
| protected

Definition at line 128 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_kAngle
| protected

Definition at line 149 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_linPos
| protected

Definition at line 145 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_lowerAngLimit
| protected

Definition at line 83 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_lowerLinLimit
| protected

Definition at line 80 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_maxAngMotorForce
| protected

Definition at line 158 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_maxLinMotorForce
| protected

Definition at line 153 of file btSliderConstraint.h.

bool btSliderConstraint::m_poweredAngMotor
| protected

Definition at line 156 of file btSliderConstraint.h.

bool btSliderConstraint::m_poweredLinMotor
| protected

Definition at line 151 of file btSliderConstraint.h.

btVector3 btSliderConstraint::m_projPivotInW
| protected

Definition at line 139 of file btSliderConstraint.h.

btVector3 btSliderConstraint::m_realPivotAInW
| protected

Definition at line 137 of file btSliderConstraint.h.

btVector3 btSliderConstraint::m_realPivotBInW
| protected

Definition at line 138 of file btSliderConstraint.h.

btVector3 btSliderConstraint::m_relPosA
| protected

Definition at line 142 of file btSliderConstraint.h.

btVector3 btSliderConstraint::m_relPosB
| protected

Definition at line 143 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_restitutionDirAng
| protected

Definition at line 97 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_restitutionDirLin
| protected

Definition at line 92 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_restitutionLimAng
| protected

Definition at line 107 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_restitutionLimLin
| protected

Definition at line 102 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_restitutionOrthoAng
| protected

Definition at line 117 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_restitutionOrthoLin
| protected

Definition at line 112 of file btSliderConstraint.h.

btVector3 btSliderConstraint::m_sliderAxis
| protected

Definition at line 136 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_softnessDirAng
| protected

Definition at line 96 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_softnessDirLin
| protected

Definition at line 91 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_softnessLimAng
| protected

Definition at line 106 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_softnessLimLin
| protected

Definition at line 101 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_softnessOrthoAng
| protected

Definition at line 116 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_softnessOrthoLin
| protected

Definition at line 111 of file btSliderConstraint.h.

bool btSliderConstraint::m_solveAngLim
| protected

Definition at line 123 of file btSliderConstraint.h.

bool btSliderConstraint::m_solveLinLim
| protected

Definition at line 122 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_targetAngMotorVelocity
| protected

Definition at line 157 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_targetLinMotorVelocity
| protected

Definition at line 152 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_timeStep
| protected

Definition at line 132 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_upperAngLimit
| protected

Definition at line 84 of file btSliderConstraint.h.

btScalar btSliderConstraint::m_upperLinLimit
| protected

Definition at line 81 of file btSliderConstraint.h.

bool btSliderConstraint::m_useLinearReferenceFrameA
| protected

Definition at line 78 of file btSliderConstraint.h.

bool btSliderConstraint::m_useOffsetForConstraintFrame
| protected

Definition at line 74 of file btSliderConstraint.h.

bool btSliderConstraint::m_useSolveConstraintObsolete
| protected

for backwards compatibility during the transition to 'getInfo/getInfo2'

Definition at line 73 of file btSliderConstraint.h.

The documentation for this class was generated from the following files:

- btSliderConstraint.h
- btSliderConstraint.cpp